# $Revision: 1.2.2.2 $, $Date: 2003/04/28 12:51:52 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pnam	PDFLib
Summary:	PDFLib Perl module - simpler and more OO interface to pdflib
Summary(pl):	Modu Perla PDFLib - prostszy i bardziej obiektowy interfejs do pdflib-a
Name:		perl-PDFLib
Version:	0.12
Release:	2
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/authors/id/M/MS/MSERGEANT/%{pnam}-%{version}.tar.gz
BuildRequires:	pdflib-perl >= 4.0
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PDFLib is a simpler, more OO interface to pdflib, available from
http://www.pdflib.com/. It makes creating PDFs from Perl fast, easy
and safe. Currently it supports text, images, graphics, and
getting/setting all parameters. It has builting support for several
paper sizes. It also takes care of starting/ending new pages, to try
and make sure that a valid PDF file is always created.

%description -l pl
PDFLib to prostszy, bardziej obiektowo zorientowany interfejs do
pdflib-a, dostpnego na http://www.pdflib.com/. Modu ten czyni
tworzenie PDF-w z Perla szybkim, atwnym i bezpiecznym. Aktualnie
obsuguje tekst, obrazki, grafik i odczytywanie/ustawianie wszystkich
parametrw. Ma wbudowan obsug kilku rozmiarw papieru. Modu dba
o rozpoczynanie/koczenie stron, prbuje te zapewni, aby zawsze
by tworzony poprawny PDF.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/PDFLib.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-PDFLib.spec,v $
Revision 1.2.2.2  2003/04/28 12:51:52  ankry
- really rel++

Revision 1.2.2.1  2003/03/13 00:58:26  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.2  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.1  2002/08/04 00:56:25  qboosh
- new

